Subject: Problems with stdout(?) and latest CygWin
From: Øyvind Harboe <[email-masked]>
To: [email-masked]
Date: Thu, 17 Jun 2004 10:15:55 +0200

I just upgraded to the latest CygWin when gzip stopped working.

When I downgraded gzip *only*, gzip worked again. 

I have CygWin installed with Unix text handling.

$ gzip --stdout >foo rimi.bin

oharboe@lair /cygdrive/c/cdtworkspace/firmware/output
$ gzip -t foo

gzip: foo: invalid compressed data--format violated

oharboe@lair /cygdrive/c/cdtworkspace/firmware/output
$ gzip --version
gzip 1.3.5
(2002-09-30)
Copyright 2002 Free Software Foundation
Copyright 1992-1993 Jean-loup Gailly
This program comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of this program
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.
Compilation options:
DIRENT UTIME STDC_HEADERS HAVE_UNISTD_H HAVE_MEMORY_H HAVE_STRING_H
HAVE_LSTAT 
SMV 
Written by Jean-loup Gailly.

oharboe@lair /cygdrive/c/cdtworkspace/firmware/output
$ gzip --version
gzip 1.3.3
(2002-03-08)
Copyright 2002 Free Software Foundation
Copyright 1992-1993 Jean-loup Gailly
This program comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of this program
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.
Compilation options:
DIRENT UTIME STDC_HEADERS HAVE_UNISTD_H HAVE_MEMORY_H HAVE_STRING_H
HAVE_LSTAT 
Written by Jean-loup Gailly.

oharboe@lair /cygdrive/c/cdtworkspace/firmware/output
$ gzip --stdout >foo rimi.bin

oharboe@lair /cygdrive/c/cdtworkspace/firmware/output
$ gzip -t foo

oharboe@lair /cygdrive/c/cdtworkspace/firmware/output
$ 

-- 
Øyvind Harboe
http://www.zylin.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/